Task Constructor

Creates a new task instance.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public Task()
Examples
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;
using System.Collections;

public class Example
{
       public void Example1()
       {
           bool Result = false;
           Beam Beam1 = new Beam(new Point(0, 0, 0), new Point(1000, 0, 0));
           Beam Beam2 = new Beam(new Point(0, 500, 0), new Point(1000, 500, 0));
           Beam1.Name = "Default Beam 0000";
           Beam2.Name = "Default Beam 0001";
           Beam1.Insert();
           Beam2.Insert();
           Task Task1 = new Task();
           Task1.Name = "Default Task 0000";
           Task1.Insert();
           ArrayList aChildren = new ArrayList();
           aChildren.Add(Beam1);
           aChildren.Add(Beam2);
           Result = Task1.AddObjectsToTask(aChildren);
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next